# Uses of Interface
com.sun.jdi.InterfaceType

Packages that use InterfaceType
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of InterfaceType in com.sun.jdi

Methods in com.sun.jdi that return types with arguments of type InterfaceType
Modifier and Type
Method
Description
`List<InterfaceType>`
ClassType.`allInterfaces()`
Gets the interfaces directly and indirectly implemented by this class.
`List<InterfaceType>`
ClassType.`interfaces()`
Gets the interfaces directly implemented by this class.
`List<InterfaceType>`
InterfaceType.`subinterfaces()`
Gets the currently prepared interfaces which directly extend this interface.
`List<InterfaceType>`
InterfaceType.`superinterfaces()`
Gets the interfaces directly extended by this interface.